OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.3

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - m -

- m1() : Tile
- m2() : Tile
- m3() : Tile
- m4() : Tile
- m5() : Tile
- m6() : Tile
- m7() : Tile
- m8() : Tile
- MACSize() : NetworkEncryptionHandler, X25519EncryptionHandler
- MainLoop() : SoundDriver, SoundDriver_Allegro, VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_Win32Base
- MakeCargo() : CargoesField
- MakeCargoLabel() : CargoesField, CargoesRow
- MakeCargoListString() : BuildIndustryWindow
- MakeConditional() : Order
- MakeCrashLog() : CrashLog
- MakeDark() : Blitter_32bppBase
- MakeDirty() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_Win32Base
- MakeDriveThrough() : RoadStop
- MakeDummy() : Order
- MakeEmpty() : CargoesField
- MakeError() : CommandCost
- MakeGoToDepot() : Order
- MakeGoToStation() : Order
- MakeGoToWaypoint() : Order
- MakeGrey() : Blitter_32bppBase
- MakeHeader() : CargoesField
- MakeImplicit() : Order
- MakeIndustry() : CargoesField
- MakeLeaveStation() : Order
- MakeLoading() : Order
- MakeResult() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- MakeTransparent() : Blitter_32bppBase
- MakeValueValid() : IntSettingDesc, StringSettingDesc
- MakeValueValidAndWrite() : IntSettingDesc
- MakeWindow() : VideoDriver_Win32Base
- MapCharToGlyph() : CoreTextFontCache, FontCache, FreeTypeFontCache, MockFontCache, SpriteFontCache, Win32FontCache
- MapOldOrder() : Order
- MapSize() : MultiMap< Tkey, Tvalue, Tcompare >
- MarkAllViewportsDirty() : Vehicle
- MarkClosed() : NetworkSocketHandler
- MarkDirty() : Aircraft, RoadVehicle, Ship, Train, Vehicle, ViewportSign
- MarkTilesDirty() : Station
- MarkVideoDriverOperational() : DriverFactoryBase
- max() : SquirrelStd
- MaxMove() : CargoMovement< Tsource, Tdest >, CargoRemoval< Tsource >
- MaxTownNoise() : Town
- MaxX() : Map
- MaxY() : Map
- MCF1stPass() : MCF1stPass
- MCF2ndPass() : MCF2ndPass
- Merge() : CargoPacket, LinkGraph
- MethodExists() : Squirrel
- min() : SquirrelStd
- Mode() : Gamelog
- ModifyRailType() : BuildRailToolbarWindow
- ModifyRoadType() : BuildRoadToolbarWindow
- Monospace() : LanguagePackGlyphSearcher, MissingGlyphSearcher, TextfileWindow
- Monthly() : LinkGraph
- Move() : Vehicle
- MoveFrom() : MidiFile
- MoveNext() : Textbuf
- MoveOrder() : OrderList
- MovePos() : Textbuf
- MovePrev() : Textbuf
- MoveSign() : Station, Waypoint
- MoveTo() : Blitter, Blitter_32bppBase, Blitter_8bppBase, Blitter_Null
- MovingData() : AirportFTAClass
- MpsMachine() : MpsMachine
- MultiCommodityFlow() : MultiCommodityFlow
- MultiMapIterator() : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- MultiplyCost() : CommandCost